grst_gacl.c File Reference

## Functions

int | GRSTgaclInit (void)
GRSTgaclAcl * | GRSTgaclAclParse (xmlDocPtr, xmlNodePtr, GRSTgaclAcl *)
GRSTgaclAcl * | GRSTxacmlAclParse (xmlDocPtr, xmlNodePtr, GRSTgaclAcl *)
GRSTgaclCred * | GRSTgaclCredCreate (char *auri_prefix, char *auri_suffix)
GRSTgaclCred * | GRSTgaclCredNew (char *type)
int | GRSTgaclCredAddValue (GRSTgaclCred *cred, char *name, char *rawvalue)
int | GRSTgaclCredFree (GRSTgaclCred *cred)
int | GRSTgaclEntryAddCred (GRSTgaclEntry *entry, GRSTgaclCred *cred)
int | GRSTgaclEntryDelCred (GRSTgaclEntry *entry, GRSTgaclCred *cred)
int | GRSTgaclCredPrint (GRSTgaclCred *cred, FILE *fp)
int | GRSTgaclCredCmpAuri (GRSTgaclCred *cred1, GRSTgaclCred *cred2)
GRSTgaclEntry * | GRSTgaclEntryNew (void)
int | GRSTgaclEntryFree (GRSTgaclEntry *entry)
int | GRSTgaclAclAddEntry (GRSTgaclAcl *acl, GRSTgaclEntry *entry)
int | GRSTgaclEntryPrint (GRSTgaclEntry *entry, FILE *fp)
int | GRSTgaclPermPrint (GRSTgaclPerm perm, FILE *fp)
int | GRSTgaclEntryAllowPerm (GRSTgaclEntry *entry, GRSTgaclPerm perm)
int | GRSTgaclEntryUnallowPerm (GRSTgaclEntry *entry, GRSTgaclPerm perm)
int | GRSTgaclEntryDenyPerm (GRSTgaclEntry *entry, GRSTgaclPerm perm)
int | GRSTgaclEntryUndenyPerm (GRSTgaclEntry *entry, GRSTgaclPerm perm)
char * | GRSTgaclPermToChar (GRSTgaclPerm perm)
GRSTgaclPerm | GRSTgaclPermFromChar (char *s)
GRSTgaclAcl * | GRSTgaclAclNew (void)
int | GRSTgaclAclFree (GRSTgaclAcl *acl)
int | GRSTgaclAclPrint (GRSTgaclAcl *acl, FILE *fp)
int | GRSTgaclAclSave (GRSTgaclAcl *acl, char *filename)
GRSTgaclAcl * | GRSTgaclAclLoadFile (char *filename)
int | GRSTgaclFileIsAcl (char *pathandfile)
char * | GRSTgaclFileFindAclname (char *pathandfile)
GRSTgaclAcl * | GRSTgaclAclLoadforFile (char *pathandfile)
GRSTgaclUser * | GRSTgaclUserNew (GRSTgaclCred *cred)
int | GRSTgaclUserFree (GRSTgaclUser *user)
int | GRSTgaclUserAddCred (GRSTgaclUser *user, GRSTgaclCred *cred)
int | GRSTgaclUserHasCred (GRSTgaclUser *user, GRSTgaclCred *cred)
GRSTgaclCred * | GRSTgaclUserFindCredtype (GRSTgaclUser *user, char *type)
int | GRSTgaclUserSetDNlists (GRSTgaclUser *user, char *dnlists)
int | GRSTgaclUserLoadDNlists (GRSTgaclUser *user, char *dnlists)
int | GRSTgaclDNlistHasUser (char *listurl, GRSTgaclUser *user)
int | GRSTgaclUserHasAURI (GRSTgaclUser *user, char *auri)
GRSTgaclPerm | GRSTgaclAclTestUser (GRSTgaclAcl *acl, GRSTgaclUser *user)
GRSTgaclPerm | GRSTgaclAclTestexclUser (GRSTgaclAcl *acl, GRSTgaclUser *user)
GRSTgaclEntry * | GACLparseEntry (void *cur)

## Variables

char * | grst_perm_syms []
GRSTgaclPerm | grst_perm_vals []

## Function Documentation

## GACLparseEntry()

GRSTgaclEntry * GACLparseEntry | ( | void * | cur | ) |

## GRSTgaclAclAddEntry()

int GRSTgaclAclAddEntry | ( | GRSTgaclAcl * | acl,
|  | GRSTgaclEntry * | entry )

## GRSTgaclAclFree()

int GRSTgaclAclFree | ( | GRSTgaclAcl * | acl | ) |

## GRSTgaclAclLoadFile()

GRSTgaclAcl * GRSTgaclAclLoadFile | ( | char * | filename | ) |

## GRSTgaclAclLoadforFile()

GRSTgaclAcl * GRSTgaclAclLoadforFile | ( | char * | pathandfile | ) |

## GRSTgaclAclNew()

GRSTgaclAcl * GRSTgaclAclNew | ( | void |  | ) |

## GRSTgaclAclParse()

GRSTgaclAcl * GRSTgaclAclParse | ( | xmlDocPtr | doc,
|  | xmlNodePtr | cur,
|  | GRSTgaclAcl * | acl )

## GRSTgaclAclPrint()

int GRSTgaclAclPrint | ( | GRSTgaclAcl * | acl,
|  | FILE * | fp )

## GRSTgaclAclSave()

int GRSTgaclAclSave | ( | GRSTgaclAcl * | acl,
|  | char * | filename )

## GRSTgaclAclTestexclUser()

GRSTgaclPerm GRSTgaclAclTestexclUser | ( | GRSTgaclAcl * | acl,
|  | GRSTgaclUser * | user )

## GRSTgaclAclTestUser()

GRSTgaclPerm GRSTgaclAclTestUser | ( | GRSTgaclAcl * | acl,
|  | GRSTgaclUser * | user )

## GRSTgaclCredAddValue()

int GRSTgaclCredAddValue | ( | GRSTgaclCred * | cred,
|  | char * | name,
|  | char * | rawvalue )

## GRSTgaclCredCmpAuri()

int GRSTgaclCredCmpAuri | ( | GRSTgaclCred * | cred1,
|  | GRSTgaclCred * | cred2 )

## GRSTgaclCredCreate()

GRSTgaclCred * GRSTgaclCredCreate | ( | char * | auri_prefix,
|  | char * | auri_suffix )

## GRSTgaclCredFree()

int GRSTgaclCredFree | ( | GRSTgaclCred * | cred | ) |

## GRSTgaclCredNew()

GRSTgaclCred * GRSTgaclCredNew | ( | char * | type | ) |

## GRSTgaclCredPrint()

int GRSTgaclCredPrint | ( | GRSTgaclCred * | cred,
|  | FILE * | fp )

## GRSTgaclDNlistHasUser()

int GRSTgaclDNlistHasUser | ( | char * | listurl,
|  | GRSTgaclUser * | user )

## GRSTgaclEntryAddCred()

int GRSTgaclEntryAddCred | ( | GRSTgaclEntry * | entry,
|  | GRSTgaclCred * | cred )

## GRSTgaclEntryAllowPerm()

int GRSTgaclEntryAllowPerm | ( | GRSTgaclEntry * | entry,
|  | GRSTgaclPerm | perm )

## GRSTgaclEntryDelCred()

int GRSTgaclEntryDelCred | ( | GRSTgaclEntry * | entry,
|  | GRSTgaclCred * | cred )

## GRSTgaclEntryDenyPerm()

int GRSTgaclEntryDenyPerm | ( | GRSTgaclEntry * | entry,
|  | GRSTgaclPerm | perm )

## GRSTgaclEntryFree()

int GRSTgaclEntryFree | ( | GRSTgaclEntry * | entry | ) |

## GRSTgaclEntryNew()

GRSTgaclEntry * GRSTgaclEntryNew | ( | void |  | ) |

## GRSTgaclEntryPrint()

int GRSTgaclEntryPrint | ( | GRSTgaclEntry * | entry,
|  | FILE * | fp )

## GRSTgaclEntryUnallowPerm()

int GRSTgaclEntryUnallowPerm | ( | GRSTgaclEntry * | entry,
|  | GRSTgaclPerm | perm )

## GRSTgaclEntryUndenyPerm()

int GRSTgaclEntryUndenyPerm | ( | GRSTgaclEntry * | entry,
|  | GRSTgaclPerm | perm )

## GRSTgaclFileFindAclname()

char * GRSTgaclFileFindAclname | ( | char * | pathandfile | ) |

## GRSTgaclFileIsAcl()

int GRSTgaclFileIsAcl | ( | char * | pathandfile | ) |

## GRSTgaclInit()

int GRSTgaclInit | ( | void |  | ) |

## GRSTgaclPermFromChar()

GRSTgaclPerm GRSTgaclPermFromChar | ( | char * | s | ) |

## GRSTgaclPermPrint()

int GRSTgaclPermPrint | ( | GRSTgaclPerm | perm,
|  | FILE * | fp )

## GRSTgaclPermToChar()

char * GRSTgaclPermToChar | ( | GRSTgaclPerm | perm | ) |

## GRSTgaclUserAddCred()

int GRSTgaclUserAddCred | ( | GRSTgaclUser * | user,
|  | GRSTgaclCred * | cred )

## GRSTgaclUserFindCredtype()

GRSTgaclCred * GRSTgaclUserFindCredtype | ( | GRSTgaclUser * | user,
|  | char * | type )

## GRSTgaclUserFree()

int GRSTgaclUserFree | ( | GRSTgaclUser * | user | ) |

## GRSTgaclUserHasAURI()

int GRSTgaclUserHasAURI | ( | GRSTgaclUser * | user,
|  | char * | auri )

## GRSTgaclUserHasCred()

int GRSTgaclUserHasCred | ( | GRSTgaclUser * | user,
|  | GRSTgaclCred * | cred )

## GRSTgaclUserLoadDNlists()

int GRSTgaclUserLoadDNlists | ( | GRSTgaclUser * | user,
|  | char * | dnlists )

## GRSTgaclUserNew()

GRSTgaclUser * GRSTgaclUserNew | ( | GRSTgaclCred * | cred | ) |

## GRSTgaclUserSetDNlists()

int GRSTgaclUserSetDNlists | ( | GRSTgaclUser * | user,
|  | char * | dnlists )

## GRSTxacmlAclParse()

GRSTgaclAcl * GRSTxacmlAclParse | ( | xmlDocPtr | doc,
|  | xmlNodePtr | cur,
|  | GRSTgaclAcl * | acl )

## Variable Documentation

## grst_perm_syms

char* grst_perm_syms[]

Initial value:
= { "none",
"read",
"exec",
"list",
"write",
"admin",
NULL }

## grst_perm_vals

GRSTgaclPerm grst_perm_vals[]

Initial value:
= { GRST_PERM_NONE,
GRST_PERM_READ,
GRST_PERM_EXEC,
GRST_PERM_LIST,
GRST_PERM_WRITE,
GRST_PERM_ADMIN,
-1 }